Package org.eclipse.zest.layouts.interfaces

# Interface PruningListener

public interface PruningListener

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`boolean`
`nodesPruned(LayoutContext context, SubgraphLayout[] subgraph)`
This method is called when some nodes are pruned in a layout context.
`boolean`
`nodesUnpruned(LayoutContext context, NodeLayout[] nodes)`
This method is called when some nodes are unpruned in a layout context, that is they are no longer part of a subgraph.

## Method Details

### nodesPruned

boolean nodesPruned(LayoutContext context, SubgraphLayout[] subgraph)
This method is called when some nodes are pruned in a layout context. If true is returned, it means that the receiving listener has intercepted this event. Intercepted events will not be passed to the rest of the listeners. If the event is not intercepted by any listener, `applyLayout(boolean)` will be called on the context's main algorithm.

Parameters:
  `context` - the layout context that fired the event
  `subgraph` - subgraphs that have been created or had nodes added
Returns:
  true if no further operations after this event are required

### nodesUnpruned

boolean nodesUnpruned(LayoutContext context, NodeLayout[] nodes)
This method is called when some nodes are unpruned in a layout context, that is they are no longer part of a subgraph. If true is returned, it means that the receiving listener has intercepted this event. Intercepted events will not be passed to the rest of the listeners. If the event is not intercepted by any listener, `applyLayout(boolean)` will be called on the context's main algorithm.

Parameters:
  `context` - the layout context that fired the event
  `nodes` - nodes that have been unpruned
Returns:
  true if no further operations after this event are required